#include <iostream>

using namespace std;

int main()
{
    int t;
    cin >> t;
    for(int i = 0; i < t; i++)
    {
        long long m;
        int n, k;
        cin >> n >> m >> k;
        long long mini = 0;
        int x = n % k;
        int c = 0;
        mini = k * (n/k) * (1 + n/k) / 2 + (x * ((n/k) + 1));
        if(m >= mini)
        {
            cout << "Tak" << endl;
        }
        else
        {
            cout << "Nie" << endl;
        }
    }
}